﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataGridDemo
{
    public class OrderInfo : INotifyPropertyChanged
    {
        public OrderInfo()
        {
        }

        #region private variables

        private string _rowHeaderValues;
        private string _col1;
        private string _col2;
        private string _col3;

        #endregion

        #region Public Properties

        public string RowHeaderValues
        {
            get { return _rowHeaderValues; }
            set
            {
                this._rowHeaderValues = value;
                RaisePropertyChanged("RowHeaderValues");
            }
        }

        public string Column1
        {
            get { return _col1; }
            set
            {
                this._col1 = value;
                RaisePropertyChanged("Column1");
            }
        }

        public string Column2
        {
            get { return _col2; }
            set
            {
                this._col2 = value;
                RaisePropertyChanged("Column2");
            }
        }

        public string Column3
        {
            get { return _col3; }
            set
            {
                this._col3 = value;
                RaisePropertyChanged("Column3");
            }
        }

        #endregion

        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }

        #endregion
    }
}
